#3006 closed defect (fixed)

SPARC LEON3 BSP SMP build is broken.

Reported by: Chris Johns Owned by: Daniel Hellstrom
Priority: high Milestone: 5.1
Component: arch/sparc Version: 5
Severity: blocker Keywords: tier-1
Cc: Blocked By:
Blocking:

Description

The rtems-bsp-builder failure output is:

   2 smp-debug sparc/leon3 build:
      configure: /opt/work/chris/rtems/kernel/rtems.git/configure --target\
      =sparc-rtems4.12 --enable-rtemsbsp=leon3 --prefix=/opt/rtems/4.12\
      --enable-debug --enable-smp --enable-tests
      error: c/src/lib/libbsp/sparc/shared/spw/grspw_pkt.c:61:2 error:
      #error SMP mode not compatible with these interrupt lock primitives

The BSP builder command line is:

RTEMS Tools Project - RTEMS Kernel BSP Builder, 4.12.not_released
command: /opt/work/rtems/4.12/bin/rtems-bsp-builder --rtems-\
         tools=/build/rtems/tools/4.12\
         --rtems=/opt/work/chris/rtems/kernel/rtems.git --build=smp-debug\
         --log=x

Change History (4)

comment:1 Changed on Apr 27, 2017 at 7:20:30 AM by Chris Johns

Owner: changed from joel.sherrill@… to Daniel Hellstrom
Status: newassigned

comment:2 Changed on May 12, 2017 at 9:32:46 AM by Daniel Hellstrom

Resolution: fixed
Status: assignedclosed

I never had this problem until I rebased recently. It triggered on LEON3 since some drivers are looking at the RTEMS version information from headers.

This was fixed by Sebastian in commit:

e0627c69b5bc2b669105525b1ce35f84abc3edf0 "cpukit: Fix RTEMS_REVISION define"

comment:3 Changed on Oct 10, 2017 at 6:53:06 AM by Sebastian Huber

Component: bspsarch/sparc

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.